Bug 1410347 - Provide perl(:VERSION) by perl-libs and perl-interpreter by perl
Summary: Provide perl(:VERSION) by perl-libs and perl-interpreter by perl
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: perl
Version: 7.3
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: rc
: ---
Assignee: perl-maint-list
QA Contact: Martin Kyral
URL: https://fedoraproject.org/wiki/Packag...
Whiteboard:
Depends On: 1571850 1572546
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-05 08:49 UTC by Petr Pisar
Modified: 2018-10-30 10:55 UTC (History)
8 users (show)

Fixed In Version: perl-5.16.3-293.el7
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2018-10-30 10:54:53 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2018:3183 0 None None None 2018-10-30 10:55:06 UTC

Description Petr Pisar 2017-01-05 08:49:36 UTC
A new Perl packaging guidelines for Fedora offer `perl(:VERSION)' RPM dependency symbol for matching minimal Perl version. This is because perl's NEVRA is unusable for this purpose.

People sharing source packages between Fedora and EPEL desire to have perl(:VERSION) in RHEL. Adding this new Provide makes packaging for EPEL easier.

It's a simple matter of adding:

+Provides:       perl(:VERSION) = %{perl_version}

into perl-libs sub-package.

Comment 1 Petr Pisar 2017-06-29 12:05:39 UTC
A new Perl packaging guidiles for Fedora will mandate using "perl-interpreter" instead of "perl" dependency for installing perl executable <https://pagure.io/packaging-committee/issue/690>.

People sharing packages between Fedora and EPEL desire to have perl-interpreter in RHEL. Adding this new Provide makes packaging for EPEL easier.

The requested change is adding:

+Provides: perl-interpreter = %{perl_epoch}:%{perl_version}-%{release}

into perl sub-package.

Comment 2 Sergio Basto 2017-08-16 12:43:27 UTC
+1 please add "Provides: perl-interpreter = %{perl_epoch}:%{perl_version}-%{release}" to perl package ASAP

Comment 4 Michael Petlan 2018-01-03 17:23:34 UTC
Seems that ocaml source rpm cannot be rebuilt because it build-requires perl-interpreter package. I think we have everything necessary in perl package, so we don't actually need perl-interpreter as a separate package on RHEL. Also, with --nodeps it proceeds. Could this bug be fixed in RHEL-7.5, since we ship ocaml there and simple `rpmbuild --rebuild ocaml*src.rpm` fails? Looks like an easyfix. Thank you.

Comment 5 Petr Pisar 2018-01-04 08:17:23 UTC
Please contact Red Hat support to escalate your issue correctly.

Comment 11 errata-xmlrpc 2018-10-30 10:54:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:3183


Note You need to log in before you can comment on or make changes to this bug.